package com.platform.yijia.service;

import com.platform.yijia.param.request.StationRequest;
import com.platform.yijia.param.response.StationInfoResponse;
import com.platform.yijia.param.response.StationInfoVo;
import com.platform.yijia.pojo.StationInfo;

import java.util.List;
import java.util.Map;

public interface StationService {

    //跟据油站插叙有站列表 查询油站列表
    StationInfoVo stationInfoList(StationRequest stationRequest);
    //查询油站列表
    List<StationInfo> getStationList(StationInfo stationInfo);
    //添加油站信息
    void AddStationInfo(StationInfo stationInfo);
    //修改油站信息
    void updateStationInfo(StationInfo stationInfo);
    //删除油站信息
    void deleteStationInfo(StationInfo stationInfo);

    //获取该油站的优惠方式
    String getStationDiscountWay(String stationId);

    //获取小程序APPID和APPSECRET
    Map<String, String> getStationAppIdAndAppSecret(String stationId);
}
